%define texmf     %{_datadir}/texmf
%define tdsname   arabtex
%define fontpath  public/arabtex

Name:           tetex-arabtex
Version:        3.11
Release:        1.l
Epoch:          0
Summary:        The ArabTeX package for TeX/LaTeX

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/language/arabtex/
# NOTE: The sources included in this package might not match the one
# you get from the FTP site. This occasionally happens because the FTP
# site auto-generates the tar-ball. In such cases it is usually
# sufficient to gunzip the .tar.gz file and compare the tar-balls.
Source0:        ftp://ftp.dante.de/tex-archive/language/arabtex.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tetex-latex
Requires(post): tetex
Requires(postun): tetex
BuildArch:      noarch

%description 
ArabTeX is a macro package for typesetting text using the Arabic
script, including Naskh style fonts, using TeX or LaTeX. It supports a
range of encodings and an ASCII translitteration.

There is also limited support for Hebrew, Persian, Urdu, Pashto, and
Sindhi.


%prep
%setup -q -n %{tdsname}


%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/{latex,plain}/%{tdsname}
install -p -m 644 texinput/{*.clo,*.cls,*.def,*.fd,*.sty} $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}/
install -p -m 644 texinput/*.tex $RPM_BUILD_ROOT%{texmf}/tex/plain/%{tdsname}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/fonts/{source,tfm,type1}/%{fontpath}
install -p -m 644 mfinput/* $RPM_BUILD_ROOT%{texmf}/fonts/source/%{fontpath}/
install -p -m 644 tfm/* $RPM_BUILD_ROOT%{texmf}/fonts/tfm/%{fontpath}/
install -p -m 644 psfonts/*.pfb $RPM_BUILD_ROOT%{texmf}/fonts/type1/%{fontpath}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/dvips/config
install -p -m 644 psfonts/*.map $RPM_BUILD_ROOT%{texmf}/dvips/config/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr %{texmf}
/usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --enable Map arabtex.map

%postun
if [ "$1" = "0" ]; then
  /usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --disable arabtex.map
fi
/usr/bin/mktexlsr %{texmf}


%files
%defattr(-,root,root,-)
%doc announce.txt arabtex.htm lppl.txt readme.txt *.gif doc/txt doc/html
%{texmf}/tex/latex/%{tdsname}
%{texmf}/tex/plain/%{tdsname}
%{texmf}/fonts/source/%{fontpath}
%{texmf}/fonts/tfm/%{fontpath}
%{texmf}/fonts/type1/%{fontpath}
%{texmf}/dvips/config


%changelog
* Sat Jul 10 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.11-0.fdr.1.l
- Updated to 3.11l.

* Wed May  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.11-0.fdr.1.h
- Updated to 3.11i.
- Moved preun script to postun.
- Split Requires(post,postun) into separate Require statements.

* Mon Mar 15 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.11-0.fdr.1.g
- Updated to 3.11g.

* Sun Nov 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:3.10-0.fdr.1
- Initial RPM release.
